# byom-design

## Project Structure

```
.
├── app
│   ├── server.go
│   └── middleware.go
├── common
│   ├── models.go
│   ├── errors.go
│   └── utils.go
├── config
│   ├── config.go
│   └── validator.go
├── database
│   ├── client.go
│   └── migrations
├── design
│   ├── handlers.go
│   ├── service.go
│   ├── repository.go
│   ├── models.go
│   └── interfaces.go
├── docs
├── internal
│   └── cache
├── logger
├── pkg
│   ├── apiclient
│   └── validator
└── main.go
```

## Getting Started

1. Install dependencies:
   ```bash
   go mod download
   ```

2. Run the application:
   ```bash
   go run main.go
   ```

## Configuration

Configuration is stored in `config.yaml`. 

## Development

...
